# Copyright 1999-2009 Gentoo Foundation          
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit vdr-plugin git

EGIT_REPO_URI="git://projects.vdr-developer.org/vdr-plugin-upnp.git"
SNAPSHOT="yes"

S="${WORKDIR}/${P}"

DESCRIPTION="Plugin to expose VDR's capabilities to the UPnP-AV world"
HOMEPAGE="http://projects.vdr-developer.org/projects/show/plg-upnp"
SRC_URI=""

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND=">=media-video/vdr-1.7.4
        =net-libs/libupnp-1.6.6-r1
	dev-libs/boost
	media-video/ffmpeg
        >=dev-db/sqlite-3.6"

RDEPEND="${DEPEND}"

src_unpack() {
	git_src_unpack
	vdr-plugin_src_unpack all_but_unpack
        epatch "${FILESDIR}/Makefile.patch"
        epatch "${FILESDIR}/common.patch"
}

src_install() {
        vdr-plugin_src_install

        insinto /etc/vdr/plugins/upnp/web/
        doins -r web/*
} 

